Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface WcmCustomWorkflowService

    public interface WcmCustomWorkflowService

WcmCustomWorkflowService enables access to the Web Content Custom Workflow methods through Portal services. To ensure that the service is available at runtime, the below line must be added to the services.properties file (<wps>\shared\app\config\services.properties),

`com.ibm.workplace.wcm.api.WcmCustomWorkflowService = com.ibm.workplace.wcm.api.WcmCustomWorkflowServiceImpl`

Here is an example of how to retrieve the `WcmCustomWorkflowService`:``

     try
     {
        // Construct and inital Context
        InitialContext ctx = new InitialContext();

        // Retrieve WcmCustomWorkflowService using JNDI name
        WcmCustomWorkflowService webContentCustomWorkflowService = (WcmCustomWorkflowService) ctx.lookup("portal:service/wcm/WcmCustomWorkflowService");
     }
     catch (NamingException ne)
     {
        System.out.print("Naming Exception: " + ne);
     }

Since:
  8.5

Field Summary
`static java.lang.String` | `JNDI_NAME` JNDI name of this service

Method Summary
`CustomWorkflowActionResult` | `createResult(Directive directive, java.lang.String message)` Create an instance of a CustomWorkflowActionResult
`CustomWorkflowActionResult` | `createResult(Directive directive, java.lang.String message, DirectiveParams params)` Create an instance of a CustomWorkflowActionResult
`boolean` | `factoryExists(java.lang.String factoryName)` Determine if a factory with the supplied factory name exists as a registered custom workflow action factory.
`CustomWorkflowActionFactory[]` | `getAllFactories()` Get all of the registered custom workflow action factories.
`CustomWorkflowActionFactory` | `getFactory(java.lang.String factoryName)` Get a factory given a factory name
`void` | `registerFactory(CustomWorkflowActionFactory factory)` Register a custom workflow action factory.

Field Detail

### JNDI_NAME

    static final java.lang.String JNDI_NAME

  JNDI name of this service

  See Also:
    Constant Field Values

Method Detail

### factoryExists

    boolean factoryExists(java.lang.String factoryName)

  Determine if a factory with the supplied factory name exists as a registered custom workflow action factory.

  Parameters:
    `factoryName` - Name of the factory
  Returns:
    True if a factory has already been registered with the same name

### registerFactory

    void registerFactory(CustomWorkflowActionFactory factory)

  Register a custom workflow action factory. Each factory is uniquely identified by the `getName()` String. If a factory is currently registered using the same name, it will be replaced by the supplied factory. If more than one application is registering a factory, each application must ensure that the factory name provided is unique. Otherwise, the last application will replace the first application's factory.

  Parameters:
    `factory` - Factory to register.
  Throws:
    `java.lang.IllegalArgumentException` - Thrown if the supplied factory is null, the factory name is invalid or any action names are invalid.

### getFactory

    CustomWorkflowActionFactory getFactory(java.lang.String factoryName)

  Get a factory given a factory name

  Parameters:
    `factoryName` - Factory name to look up
  Returns:
    Factory

### getAllFactories

    CustomWorkflowActionFactory[] getAllFactories()

  Get all of the registered custom workflow action factories.

  Returns:
    Registered factories.

### createResult

    CustomWorkflowActionResult createResult(Directive directive,
                                            java.lang.String message)

  Create an instance of a CustomWorkflowActionResult

  Parameters:
    `directive` - Result directive
    `message` - Result message
  Returns:
    Result

### createResult

    CustomWorkflowActionResult createResult(Directive directive,
                                            java.lang.String message,
                                            DirectiveParams params)

  Create an instance of a CustomWorkflowActionResult

  Parameters:
    `directive` - Result directive
    `message` - Result message
    `params` - Result directive parameters
  Returns:
    Result

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD